Loading...
Searching...
No Matches
SCP Thread Concept

A SCP object should follow this concept to be used in DcmSCPPool. More...

## Functions

| DefaultConstructor ()
| The SCP must be default constructible.
OFCondition | setConfig (const DcmSCPConfig &config)
| The SCP must be configurable by setting it's configuration with this method.
OFBool | isConnected ()
| Returns OFTrue if SCP currently runs an association.
OFCondition | run (T_ASC_Association *assoc)
| Take over incoming association that is in the state that the underlying TCP/IP connection is already accepted, while the ACSE negotiation is not already done but must be implemented by this method.

## Detailed Description

A SCP object should follow this concept to be used in DcmSCPPool.

The easiest and recommended way to follow this concept is to derive your class from DcmThreadSCP.

## Function Documentation

## isConnected()

OFBool isConnected | ( |  | ) |

Returns OFTrue if SCP currently runs an association.

Returns
  OFTrue if currently connected, OFFalse otherwise.

## run()

OFCondition run | ( | T_ASC_Association * | assoc | ) |

Take over incoming association that is in the state that the underlying TCP/IP connection is already accepted, while the ACSE negotiation is not already done but must be implemented by this method.

Parameters

  assoc | The association to run.

Returns
  EC_Normal if association could be handled, error otherwise

## setConfig()

OFCondition setConfig | ( | const DcmSCPConfig & | config | ) |

The SCP must be configurable by setting it's configuration with this method.

Parameters

  config | the configuration to be used by the SCP.

Returns
  EC_Normal if configuration is accepted, error otherwise.

Generated on for DCMTK Version 3.7.0 by Doxygen 1.15.0